Subject: bug#42420: closed (Re: bug#42420: git-fetch origins produce same store output when set recursive is set to true or false)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 28 Nov 2020 17:05:01 +0000

Your bug report

#42420: git-fetch origins produce same store output when set recursive is set to true or false

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42420: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42420
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#42420: git-fetch origins produce same store output when set recursive is set to true or false
From: Leo Famulari <[email-masked]>
To: Maxim Cournoyer <[email-masked]>
Cc: [email-masked], pkill9 <[email-masked]>, Marius Bakke <[email-masked]>
Date: Sat, 28 Nov 2020 12:04:16 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Nov 28, 2020 at 12:23:28AM -0500, Maxim Cournoyer wrote:
> Is there an action to do here, or should we simply close it?

If we have a good idea for how to improve the situation, we should use
it. Otherwise, we can close the bug. It's something that confuses a lot
of people the first time but, once you learn what's happening, it's easy
to avoid in the future.

Subject: git-fetch origins produce same store output when set recursive is set to true or false
From: pkill9 <[email-masked]>
To: [email-masked]
Date: Sat, 18 Jul 2020 23:19:09 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I built a source that uses git-fetch - by default (recursive? #f) - and
the package failed to build, then I remembered it uses submodules, so I
set (recursive? #t) but it failed with the same error. The problem is
that the store path of the source is the same for both, so it didn't
try to rebuild the git checkout with submodules checked out.

After garbage collecting the source so it rebuilds it, I can build the
package.